Ubuntu

“linux-ubuntu-modules-2.6.24” 2.6.24-21.33 source package in Ubuntu

Changelog

linux-ubuntu-modules-2.6.24 (2.6.24-21.33) hardy-security; urgency=low

  [Stefan Bader]

  * ndiswrapper: Prevent buffer overflow if nickname is IW_ESSID_MAX_SIZE
    characters long.
    - LP: #275860
    - CVE-2008-4395
  * ndiswrapper: Print exactly the number of characters in essid
    - LP: #275860
    - CVE-2008-4395

 -- Stefan Bader <email address hidden>   Fri, 03 Oct 2008 15:02:46 -0400

Upload details

Uploaded by:
Stefan Bader on 2008-11-06
Sponsored by:
Kees Cook
Uploaded to:
Hardy
Original maintainer:
Ubuntu Kernel Team
Component:
main
Architectures:
i386 amd64 hppa ia64 lpia powerpc sparc
Section:
base
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size MD5 Checksum
linux-ubuntu-modules-2.6.24_2.6.24-21.33.tar.gz 11.6 MiB 2b188658339555b2f45d37fa8750c7e1
linux-ubuntu-modules-2.6.24_2.6.24-21.33.dsc 2.8 KiB b065c768ca515bfdb2d914d36dba785e

Binary packages built by this source

linux-headers-lum-2.6.24-21-386: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-generic: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-hppa32: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-hppa64: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-itanium: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-lpia: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-lpiacompat: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-mckinley: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-openvz: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-powerpc: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-powerpc-smp: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-powerpc64-smp: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-rt: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-server: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-sparc64: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-sparc64-smp: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-virtual: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-headers-lum-2.6.24-21-xen: Header files related to linux-ubuntu-modules version 2.6.24

 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-21/debian.README.gz for details

linux-ubuntu-modules-2.6.24-21-386: Ubuntu supplied Linux modules for version 2.6.24 on i386

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-generic: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-hppa32: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit HP PA-RISC SMP

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-hppa64: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit HP PA-RISC SMP

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-itanium: Ubuntu supplied Linux modules for version 2.6.24 on Itanium SMP

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-lpia: Ubuntu supplied Linux modules for version 2.6.24 on lpia

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-lpiacompat: Ubuntu supplied Linux modules for version 2.6.24 on lpiacompat for x86-compatible

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpiacompat for x86-compatible.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-mckinley: Ubuntu supplied Linux modules for version 2.6.24 on Itanium II SMP

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-openvz: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-openvz meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-powerpc: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-powerpc-smp: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC SMP

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-powerpc64-smp: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit PowerPC SMP

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-rt: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-rt meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-server: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-sparc64: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit UltraSPARC

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit UltraSPARC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-sparc64-smp: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit UltraSPARC SMP

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit UltraSPARC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-virtual: Ubuntu supplied Linux modules for version 2.6.24 on virtualised hardware

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 virtualised hardware.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-virtual meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-ubuntu-modules-2.6.24-21-xen: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64

 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-xen meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

nic-firmware-2.6.24-21-386-di: Ubuntu-supplied external firmware for NIC drivers
nic-firmware-2.6.24-21-generic-di: Ubuntu-supplied external firmware for NIC drivers
nic-firmware-2.6.24-21-hppa32-di: Ubuntu-supplied external firmware for NIC drivers
nic-firmware-2.6.24-21-hppa64-di: Ubuntu-supplied external firmware for NIC drivers
nic-firmware-2.6.24-21-itanium-di: Ubuntu-supplied external firmware for NIC drivers
nic-firmware-2.6.24-21-powerpc-di: Ubuntu-supplied external firmware for NIC drivers
nic-firmware-2.6.24-21-powerpc64-smp-di: Ubuntu-supplied external firmware for NIC drivers
nic-firmware-2.6.24-21-sparc64-di: Ubuntu-supplied external firmware for NIC drivers
scsi-firmware-2.6.24-21-386-di: Ubuntu-supplied external firmware for SCSI drivers
scsi-firmware-2.6.24-21-generic-di: Ubuntu-supplied external firmware for SCSI drivers
scsi-firmware-2.6.24-21-hppa32-di: Ubuntu-supplied external firmware for SCSI drivers
scsi-firmware-2.6.24-21-hppa64-di: Ubuntu-supplied external firmware for SCSI drivers
scsi-firmware-2.6.24-21-itanium-di: Ubuntu-supplied external firmware for SCSI drivers
scsi-firmware-2.6.24-21-powerpc-di: Ubuntu-supplied external firmware for SCSI drivers
scsi-firmware-2.6.24-21-powerpc64-smp-di: Ubuntu-supplied external firmware for SCSI drivers
scsi-firmware-2.6.24-21-sparc64-di: Ubuntu-supplied external firmware for SCSI drivers
ubuntu-modules-2.6.24-21-386-di: Ubuntu supplied kernel modules
ubuntu-modules-2.6.24-21-generic-di: Ubuntu supplied kernel modules
ubuntu-modules-2.6.24-21-hppa32-di: Ubuntu supplied kernel modules
ubuntu-modules-2.6.24-21-hppa64-di: Ubuntu supplied kernel modules
ubuntu-modules-2.6.24-21-itanium-di: Ubuntu supplied kernel modules
ubuntu-modules-2.6.24-21-powerpc-di: Ubuntu supplied kernel modules
ubuntu-modules-2.6.24-21-powerpc64-smp-di: Ubuntu supplied kernel modules
ubuntu-modules-2.6.24-21-sparc64-di: Ubuntu supplied kernel modules